Bug 32099 - (SCSI)ECRIX VXA Tape changer times out
Summary: (SCSI)ECRIX VXA Tape changer times out
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-17 19:31 UTC by Andrew Macpherson
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Macpherson 2001-03-17 19:31:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.16-3 i686)


The ECRIX tape changer takes about 70 secs to unload a tape, causing the
/dev/sgN driver to time out (sg.h has
#define SG_DEFAULT_TIMEOUT (60*HZ) /* HZ == 'jiffies in 1 second' */
)
The tape changer being a sensitive soul goes into severe sulks when the
timeout causes a scsi abort, only cured by power cycling.

Reproducible: Always
Steps to Reproduce:
1. attach ECRIX tape library
2. configure AMANDA to use chg-zd-mtx
3. try to label a series of tapes to get going ie
amlabel <MYCONF> <MYLABEL>-1 slot 1
amlabel <MYCONF> <MYLABEL>-2 slot 2
	

Actual Results:  Mar 17 18:00:48 awning kernel: scsi : aborting command due
to timeout : pid 4155, scsi1, channel 0, id 5, lun 0 Move medium/play
audio(12) 00 00 00 00 52 00 06 00 00 00 00
Mar 17 18:00:48 awning kernel: sym53c8xx_abort: pid=4155 serial_number=4186
serial_number_at_timeout=4186


Expected Results:  command completion

problem cured by setting 

#define SG_DEFAULT_TIMEOUT (120*HZ)

in scsi/sg.h and compiling new kernel

Problem is independent of SCSI card, reproduced on both Adaptec aha7xxx and
sym53c8xx

Comment 1 Trond Eivind Glomsrxd 2001-03-19 20:46:40 UTC
That would be a problem and decision for the kernel group - reassigning.

Comment 2 Bugzilla owner 2004-09-30 15:38:56 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.